GET
https://api.cryptohopper.com/v1/hopper/{id}/order
Returns the open orders of the hopper together with its trailing buy orders. Trailing buy orders have order_type "Trailing buy" and no exchange order_id.
OAuth scope:
read About scopes
open_time is a Unix timestamp; date is the same moment as Y-m-d H:i:s (for trailing buy orders, the time the order was created). market_order is 1 when the order was placed as a market order.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": [
{
"id": "342000001",
"pair": "BTC/USDT",
"order_type": "buy",
"order_id": "8812345678",
"order_trigger": "strategy",
"amount": "0.0010000000000000",
"rate": "65000.0000000000000000",
"percentage_profit": "2.50",
"hold": "0",
"sold": "0",
"open_time": "1758794400",
"close_time": null,
"bundled": "0",
"market_order": 0,
"cost": "65",
"date": "2026-09-25 10:00:00"
},
{
"id": "19860001",
"pair": "ETH/USDT",
"order_type": "Trailing buy",
"order_id": null,
"order_trigger": "manual-buy",
"amount": "0.0200000000000000",
"rate": "2500.0000000000000000",
"percentage_profit": "3.00",
"hold": null,
"sold": null,
"open_time": null,
"close_time": null,
"bundled": null,
"market_order": 0,
"cost": "50",
"date": "2026-09-25 10:05:00"
}
]
}